/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

#include <jni.h>
#include <sys/types.h>
#include <gtk/gtk.h>
#ifdef __cplusplus
extern "C" 
{
#endif

GtkTooltips * GtkTooltipsData_get_tooltip (GtkTooltipsData * cptr) 
{
    return cptr->tooltips;
}

/*
 * Class:     org.gnu.gtk.ToolTipsData
 * Method:    getToolTip
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gtk_ToolTipsData_getToolTip (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GtkTooltipsData *cptr_g = (GtkTooltipsData *)cptr;
    return (jint)GtkTooltipsData_get_tooltip (cptr_g);
}

GtkWidget * GtkTooltipsData_get_widget (GtkTooltipsData * cptr) 
{
    return cptr->widget;
}

/*
 * Class:     org.gnu.gtk.ToolTipsData
 * Method:    getWidget
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gtk_ToolTipsData_getWidget (JNIEnv *env, jclass cls, jint 
    cptr) 
{
    GtkTooltipsData *cptr_g = (GtkTooltipsData *)cptr;
    return (jint)GtkTooltipsData_get_widget (cptr_g);
}

gchar * GtkTooltipsData_get_tip_text (GtkTooltipsData * cptr) 
{
    return cptr->tip_text;
}

/*
 * Class:     org.gnu.gtk.ToolTipsData
 * Method:    getTipText
 * Signature: (I)java.lang.String;
 */
JNIEXPORT jbyteArray JNICALL Java_org_gnu_gtk_ToolTipsData_getTipText (JNIEnv *env, jclass cls, 
    jint cptr) 
{
    gchar *result_g = GtkTooltipsData_get_tip_text ((GtkTooltipsData*)cptr);
    return (*env)->NewStringUTF(env, result_g);
}

/*
 * Class:     org.gnu.gtk.ToolTipsData
 * Method:    gtk_tooltips_data_get
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_org_gnu_gtk_ToolTipsData_gtk_1tooltips_1data_1get (JNIEnv *env, 
    jclass cls, jint widget) 
{
    GtkWidget *widget_g = (GtkWidget *)widget;
    {
        return (jint)gtk_tooltips_data_get (widget_g);
    }
}


#ifdef __cplusplus
}

#endif
